Skip to main content
`Ctrl`+`K`

# SETERRABORT

Macro that can be called when an error has been detected,

## Synopsis

    #include <petscsys.h>
    PetscErrorCode SETERRABORT(MPI_Comm comm, PetscErrorCode ierr, char *message, ...)

Collective

## Input Parameters

- comm - An MPI communicator, so that the error can be collective

- ierr - nonzero error code, see the list of standard error codes in include/petscerror.h

- message - error message in the `printf()` format

## Notes

This function just calls `MPI_Abort()`.

This should only be called in routines that cannot return an error code, such as in C++ constructors.

## Fortran Note

Use `SETERRA()` in Fortran main program and `SETERRQ()` in Fortran subroutines

## Developer Note

In Fortran `SETERRA()` could be called `SETERRABORT()` since they serve the same purpose

## See Also

`SETERRQ()`, `PetscTraceBackErrorHandler()`, `PetscPushErrorHandler()`, `PetscError()`, `PetscCall()`, `CHKMEMQ`, `PetscErrorCode`

## Level

beginner

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages